Flexible Engine - File and Application Backup user guide


Updated on :

Which elements can FAB protect?



FAB relies on the Commvault technology to deliver the protection service ; however, as part of a public cloud solution, and therefore in order to offer a built-in and widely-used service, FAB cannot expose the Commvault product as is, and has to provide all the possible protection services in the context of such a public solution.


Currently the protection supported by the FAB team is:

  • Applications
    • Microsoft Exchange infrastructure
    • MS Office365 (with Azure AD)
  • Databasess
    • MS SQL Server
      • MS SQL Server 2019 Editions (up to latest SP)
      • MS SQL Server 2017 Editions (up to latest SP)
      • MS SQL Server 2016 Editions (up to latest SP)
      • MS SQL Server 2014 Editions (up to latest SP)
      • MS SQL Server 2012 Editions (up to latest SP)
      • MS SQL Server 2008 R2 Editions (up to latest SP)
      • MS SQL Server 2008 Editions (up to latest SP)
      • MS SQL Server 2005 Editions (up to latest SP)
    • Oracle
      • Oracle 21c
      • Oracle 19c (19.2/19.3/19.4/or more recent)
      • Oracle 18c (18.3/18.4/18.5/18.5/or more recent)
      • Oracle 12c (R1/R2)
      • Oracle 11g
      • Oracle 10.2x(R2/or more recent)
      • Oracle Database Standard/Entrprise edition
    • MySQL
      • 8.0.x (Community Server/Percona Server/Entreprise/Standard/Classic)
      • 5.7.x (Community Server/Percona Server/Entreprise/Standard/Classic)
      • 5.6.x (Community Server/Percona Server/Entreprise/Standard/Classic)
      • 5.5.x (Community Server/Percona Server/Entreprise/Standard/Classic)
      • MariaDB 10.6.x
      • MariaDB 10.0.x
      • MariaDB 5.5.x
  • FileSystems
    • Full VMware VMs
      • vSphere vCenter vCenterServerAppliance and ESX/ESXi in versions 4.1/5.0.x/5.1.x/5.5/5.5.1/5.5.2/5.5.3/6.0/6.0.1/6.0.2/6.0.3/6.5/6.7/6.7.1/7.0/7.0.1/7.0.2/7.0.3
      • VMhardware on guest VM: 4.0/7.0/8.0/9.0/10.0/11.0/13.0/14.0/15.0/17.0/18.0/19.0
    • Files and folders
      • On Windows servers
        • Windows Server 2022 Editions & Core Editions
        • Windows Server 2019 Editions & Core Editions
        • Windows Server 2016 Editions
        • Windows Server 2012 R2 Editions
        • Windows Server 2008 (min SP1)
        • Windows Server 2008 R2
      • On Linux servers
        • AlmaLinux 8.x
        • Amazon Linux AMI 2018.03
        • Amazon Linux AMI 2017.03
        • Amazon Linux release 2 (Karoo)
        • Asianux 4
        • CentOS 8.x Linux with glibc 2.28.x
        • CentOS 8.x Stream with glibc 2.28.x
        • CentOS 7.x with glibc 2.17.x min
        • CentOS 6.x with glibc 2.12.x
        • CentOS 6.x with glibc 2.12-1.25.x min for x64
        • CentOS 5.x with glibc 2.5.x
        • Debian 5.x to 11.x
        • EulerOS 2.0 SP3
        • EulerOS 2.0 SP2
        • Fedora release 9 to 32
        • Gentoo (with glibc 2.9.x/2.6.x/2.12.x)
        • Kylin V10
        • NeoKylin Linux (6.5/7.4/7.6)
        • OpenSuSE Leap 42.3 with glibc 2.22
        • OpenSuSE Leap 15.x wth glibc 2.26 or later
        • OpenSuSE Tumbleweed wiht glibc 2.33 or later
        • OpenSuSE 11.0 to 13.2
        • Oracle Linux 5.x to 8.x
        • RHEL 9.x with glibc 2.34.x
        • RHEL 8.x with glibc 2.28.x
        • RHEL 7.x with glibc 2.17.x min
        • RHEL 6.x with glibc 2.12.x for x86
        • RHEL 6.x with glibc 2.12-1.25.x min for x64
        • RHEL 5.x with glibc 2.5.x
        • Rocky Linux 8.x
        • Scientific Linux SL 5.x with glibc 2.5.x
        • Scientific Linux 6x & 7x
        • Slackware 14.0 with glibc 2.15.x
        • Source Mage 0.10
        • SuSE Linux 15 (Initial Release/SP1 and later SPs) with glibc 2.26.x and higher
        • SuSE Linux 12 (Initial Release/SP1 and later SPs) with glibc 2.19.x or a more recent version
        • SuSE Linux 11 (Initial Release/SP1/SP2/SP3/SP4) with glibc 2.9.x & later
        • Ubuntu 8.04/8.10/9.04/9.10/10.04LTS/11.04/11.10/12.04LTS/12.10/13.04/13.10/14.04/14.10/15.04/15.10/16.04LTS/17.04/17.10/18.04LTS/18.10/19.04/19.10/20.04LTS/20.10/21.04



The FAB team works on releasing as many features as possible, with the only objective being to answer your needs in terms of data protection.